Description

If a non admin user attempts to view a report in foreman 1.11 rc1 the following error is displayed.

ConfigReport not found Please try to update your request

Related issues:

Related to Foreman - Feature #4151: Add STI to reports and allow for register... Closed 01/21/2014

Is duplicate of Foreman - Bug #13545: Editing template throws "undefined meth... Closed 02/03/2016

History

#1 - 02/28/2016 04:52 AM - Shlomi Zadok

Does that user have the permission to view config reports?

In the role filter ensure that Resource type -> Config reports, view config reports is enabled for that user role.

#2 - 02/28/2016 06:42 AM - Chuck Schweizer

Yes I made sure that the user's role had view config reports. Initially the role did not have this permission and the user did not even see the Config

reports menu item. After adding the "view config reports" filter the menu appeared but this error is received when attempting to view a report.

This foreman server was upgraded from 1.10.0.

Shlomi Zadok wrote:

Does that user have the permission to view config reports?

In the role filter ensure that Resource type -> Config reports, view config reports is enabled for that user role.

#3 - 02/29/2016 03:16 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

- translation missing: en.field_release set to 71

If you could enable permissions and SQL debug logging and upload the log while accessing the page as a non-admin user, that would provide useful

data: http://theforeman.org/manuals/1.11/index.html#7.2Debugging

#4 - 02/29/2016 09:13 AM - Chuck Schweizer

Here is the output.

https://gist.github.com/csschwe/ce6024a107fd6f6844cb

#5 - 02/29/2016 09:17 AM - Chuck Schweizer

This configuration has no proxy servers.  Foreman is just being used as a reporting backend at this time.

#6 - 02/29/2016 09:18 AM - Dominic Cleal

Could you try running foreman-rake fix_db_cache to rebuild the DB cache of users versus their roles?
Strange that the menu is visible but the page isn't working, but it's possible the former doesn't use the DB cache and that's causing it.  The two should

obviously be consistent.

Did you provide the view_config_reports permission by adding it to an existing role, adding another role to the user or how exactly?

#7 - 02/29/2016 09:50 AM - Chuck Schweizer

foreman-rake fix_db_cache did not change anything.

The issue I see is that (permissions.resource_type = 'Report') and it should be (permissions.resource_type = 'ConfigReport')

2016-02-29 14:46:10 [sql] [D]   Filter Load (1.8ms)  SELECT "filters".* FROM "filters" INNER JOIN "filterings"

 ON "filterings"."filter_id" = "filters"."id" INNER JOIN "permissions" ON "permissions"."id" = "filterings"."p

ermission_id" INNER JOIN "roles" ON "filters"."role_id" = "roles"."id" INNER JOIN "cached_user_roles" ON "role

s"."id" = "cached_user_roles"."role_id" WHERE "cached_user_roles"."user_id" = $1 AND (permissions.resource_typ

e = 'Report') AND (permissions.name = 'view_config_reports')  ORDER BY filters.role_id, filters.id  [["user_id

", 65]]

#8 - 02/29/2016 10:02 AM - Chuck Schweizer

Here is the example output by changing Report to ConfigReport

foreman=# SELECT "filters".* FROM "filters" INNER JOIN "filterings" ON "filterings"."filter_id" = "filters"."i

d" INNER JOIN "permissions" ON "permissions"."id" = "filterings"."permission_id" INNER JOIN "roles" ON "filter

s"."role_id" = "roles"."id" INNER JOIN "cached_user_roles" ON "roles"."id" = "cached_user_roles"."role_id" WHE

RE "cached_user_roles"."user_id" = '65' AND (permissions.resource_type = 'Report') AND (permissions.name = 'vi

ew_config_reports')  ORDER BY filters.role_id, filters.id ;

 id | search | role_id | created_at | updated_at | taxonomy_search 

----+--------+---------+------------+------------+-----------------

(0 rows)

foreman=# SELECT "filters".* FROM "filters" INNER JOIN "filterings" ON "filterings"."filter_id" = "filters"."i

d" INNER JOIN "permissions" ON "permissions"."id" = "filterings"."permission_id" INNER JOIN "roles" ON "filter

s"."role_id" = "roles"."id" INNER JOIN "cached_user_roles" ON "roles"."id" = "cached_user_roles"."role_id" WHE

RE "cached_user_roles"."user_id" = '65' AND (permissions.resource_type = 'ConfigReport') AND (permissions.name

 = 'view_config_reports')  ORDER BY filters.role_id, filters.id ;

 id  | search | role_id |        created_at         |        updated_at         | taxonomy_search 

-----+--------+---------+---------------------------+---------------------------+-----------------

 121 |        |      10 | 2016-02-29 14:01:04.56838 | 2016-02-29 14:01:04.56838 | 

(1 row)

#9 - 02/29/2016 10:02 AM - Dominic Cleal

- Related to Feature #4151: Add STI to reports and allow for registering new report types added

#10 - 03/01/2016 07:04 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#11 - 03/01/2016 07:07 AM - Dominic Cleal

- Is duplicate of Bug #13545: Editing template throws "undefined method `profile=' for nil:NilClass" error added

#12 - 03/01/2016 07:15 AM - Dominic Cleal

The fix for #13545 fixes this too, leaving this open for now.

#13 - 03/01/2016 10:42 AM - Chuck Schweizer

I confirmed this fixes the issue on my foreman server.  Thanks,

#14 - 03/09/2016 02:02 PM - Justin Sherrill

- Status changed from Assigned to Closed

Applied in changeset 640d7ee703ae347ee9dd5c21e341cb4d6a9874ec.
